gst-audio-1.0 missing

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

gst-audio-1.0 missing

Liu Xin
hi,

I'm new to gstreamer, and this is my first post in this list. So please forgive me if the question is stupid and so easy to fix. 

So I'm walking through the basic tutorials, and get stuck at compiling basic-tutorial-8.c. Here's the console output.

gcc basic-tutorial-8.c -o basic-tutorial-8 `pkg-config --cflags --libs gstreamer-1.0 gst-audio-1.0`
Package gst-audio-1.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gst-audio-1.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gst-audio-1.0' found
basic-tutorial-8.c:1:21: fatal error: gst/gst.h: No such file or directory
 #include <gst/gst.h>
                     ^
compilation terminated.

I googled it a bit, and find someone saying "gstreamer1.0-plugins-base1.0-dev" should be installed. But then the installation failed.

sudo apt-get install gstreamer1.0-plugins-base1.0-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package gstreamer1.0-plugins-base1.0-dev
E: Couldn't find any package by regex 'gstreamer1.0-plugins-base1.0-dev'


Btw, I'm using Ubuntu 14.04LTS x64 on a VM.
Any help would be appreciated. Thanks!



_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gst-audio-1.0 missing

Tim Müller
On Wed, 2017-03-22 at 13:28 +0000, ? ? wrote:

Hi,

> I googled it a bit, and find someone saying "gstreamer1.0-plugins-
> base1.0-dev" should be installed. But then the installation failed.
>
> sudo apt-get install gstreamer1.0-plugins-base1.0-dev
>
> E: Couldn't find any package by regex 'gstreamer1.0-plugins-base1.0-
> dev
>
> Btw, I'm using Ubuntu 14.04LTS x64 on a VM.
> Any help would be appreciated. Thanks!

The package you need is called *lib*gstreamer-plugins-base1.0-dev

Cheers
 -Tim
--
Tim Müller, Centricular Ltd - http://www.centricular.com
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: gst-audio-1.0 missing

Liu Xin
Ahhh. So it is a stupid one. Thank you

发自我的 iPhone

> 在 2017年3月23日,17:51,Tim Müller <[hidden email]> 写道:
>
> On Wed, 2017-03-22 at 13:28 +0000, ? ? wrote:
>
> Hi,
>
>> I googled it a bit, and find someone saying "gstreamer1.0-plugins-
>> base1.0-dev" should be installed. But then the installation failed.
>>
>> sudo apt-get install gstreamer1.0-plugins-base1.0-dev
>>
>> E: Couldn't find any package by regex 'gstreamer1.0-plugins-base1.0-
>> dev
>>
>> Btw, I'm using Ubuntu 14.04LTS x64 on a VM.
>> Any help would be appreciated. Thanks!
>
> The package you need is called *lib*gstreamer-plugins-base1.0-dev
>
> Cheers
>  -Tim
> --
> Tim Müller, Centricular Ltd - http://www.centricular.com
> _______________________________________________
> gstreamer-devel mailing list
> [hidden email]
> https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Loading...